
Figure - Bug #118460
【IOVDEV-32257】【内部】【VC1】【0100】【台架】【EE环境】【副屏】早上过来monkey自动命令停止，
副屏正常显示屏保界面，正常进入主界面
2023-06-02 10:54 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-02

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0086.c102����【副屏版本号】：01.00.0100.c103

Resolution: DUPLICATE Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 与 #118345 问题相同

Description

【环境信息】EE环境

【问题出现时间】：20230602 09：01

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.点击monkey命令跑monkey

【实际结果】

1.副屏待机进入屏保界面

【期望结果】

1.副屏正常跑monkey命令

【备注】：

第216次开机

开机时长：19：30：12

日志、视频地址：https://ofs.human-horizons.com/#/download/index/WigxqmgkUlo%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0086.c102

【副屏版本号】：01.00.0100.c103

Related issues:

Related to Figure - Bug # 118345: 【IOVDEV-31216】【IOVDEV-3... CLOSED 2023-05-31 2023-06-05

History

#1 - 2023-06-02 10:55 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118460

#2 - 2023-06-02 11:39 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No
- Root cause set to 与 #118345 问题相同

■ 我的分析

与 #118345 问题相同, 将在 #118345 跟踪分析

surfaceflinger报空指针了，导致系统进程挂了

-------------------

06-02 08:04:53.721 27179 27179 F DEBUG   : * 

06-02 08:04:53.721 27179 27179 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

06-02 08:04:53.721 27179 27179 F DEBUG   : Revision: '0'

06-02 08:04:53.721 27179 27179 F DEBUG   : ABI: 'arm64'

06-02 08:04:53.721 27179 27179 F DEBUG   : Timestamp: 2023-06-02 08:04:53.650717874+0800

06-02 08:04:53.721 27179 27179 F DEBUG   : Process uptime: 0s

06-02 08:04:53.721 27179 27179 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-02 08:04:53.721 27179 27179 F DEBUG   : pid: 897, tid: 1063, name: Binder:897_2  >>> /system/bin/surfaceflinger <<<

06-02 08:04:53.721 27179 27179 F DEBUG   : uid: 1000

06-02 08:04:53.721 27179 27179 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x4

06-02 08:04:53.721 27179 27179 F DEBUG   : Cause: null pointer dereference

06-02 08:04:53.721 27179 27179 F DEBUG   :     x0  b400007877d94140  x1  b400007727c529a0  x2  b400007757d097e0  x3  0000000000000001

06-02 08:04:53.721 27179 27179 F DEBUG   :     x4  0000000000000018  x5  0000000000000000  x6  0000000000000000  x7  b400007757d097c0

06-02 08:04:53.721 27179 27179 F DEBUG   :     x8  0000000000000000  x9  0000000000000004  x10 0000000000000004  x11 0000000000000020

06-02 08:04:53.721 27179 27179 F DEBUG   :     x12 000000000000000b  x13 b400007727c4f190  x14 0000000000000010  x15 04440230b0fc4b80

06-02 08:04:53.721 27179 27179 F DEBUG   :     x16 0000006499545c00  x17 00000079fa61add4  x18 00000076e54ea000  x19 0000000000000000

06-02 08:04:53.721 27179 27179 F DEBUG   :     x20 b400007757d097e0  x21 b400007727c529a0  x22 0000000000000000  x23 b400007727c52998

06-02 08:04:53.721 27179 27179 F DEBUG   :     x24 0000000000000008  x25 0000000000000000  x26 00000076e57a0ff8  x27 00000000000fc000

06-02 08:04:53.721 27179 27179 F DEBUG   :     x28 00000076e56a8000  x29 00000076e57a0990

06-02 08:04:53.721 27179 27179 F DEBUG   :     lr  00000064990b5878  sp  00000076e57a0990  pc  00000079fa61ade0  pst 0000000060001000

06-02 08:04:53.721 27179 27179 F DEBUG   : backtrace:

06-02 08:04:53.721 27179 27179 F DEBUG   :       #00 pc 000000000000ede0  /system/lib64/libutils.so (android::RefBase::incStrong(void const) const+12) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #01 pc 000000000015b874  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_splat(void*, void const*, unsigned long) const+80) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #02 pc 0000000000016728  /system/lib64/libutils.so (android::SortedVectorImpl::add(void const*)+224) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #03 pc 00000000001a4ba8  /system/bin/surfaceflinger (android::SurfaceFlinger::onHandleDestroyed(android::BBinder*,

android::sp<android::Layer>&)+124) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #04 pc 000000000015b65c  /system/bin/surfaceflinger (android::Layer::LayerCleaner::~LayerCleaner()+72) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #05 pc 000000000015b5e4  /system/bin/surfaceflinger (virtual thunk to android::Layer::Handle::~Handle()+76) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #06 pc 000000000000ef34  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #07 pc 0000000000053b84  /system/lib64/libbinder.so (android::IPCThreadState::processPendingDerefs()+136) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #08 pc 0000000000053c90  /system/lib64/libbinder.so (android::IPCThreadState::joinThreadPool(bool)+64) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #09 pc 0000000000080484  /system/lib64/libbinder.so (android::PoolThread::threadLoop()+28) (BuildId:

07bc4d4147790b1e0ac44f7625168f4a)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #10 pc 000000000001358c  /system/lib64/libutils.so (android::Thread::_threadLoop(void*)+264) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #11 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #12 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:
369edc656806aeaf384cbeb8f7a347af)

06-02 08:04:53.721 27179 27179 F DEBUG   :       #13 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

-------------------

#3 - 2023-06-02 11:40 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

#4 - 2023-06-02 15:39 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-02 15:39 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
